Page MenuHomePhabricator

elementary_test: Add the animation view test
ClosedPublic

Authored by jsuya on Aug 1 2019, 3:25 AM.

Details

Summary

Add an animation view item to test vector animation on elementary_test.
If Evas Vg Json(Lottie) Loader is not supported,
use the vector class to output the svg file.

Depends D9451: efl_ui_animation_view: introduce a new widget for controlling vector animation.

Test Plan

elementart_test
Animation View

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
jsuya created this revision.Aug 1 2019, 3:25 AM
jsuya requested review of this revision.Aug 1 2019, 3:25 AM
Hermet requested changes to this revision.Aug 1 2019, 3:51 AM

If it failed to load json, how about display just svg + notification text rather than disable the test (when json loader is not ready),
i.e) "Evas Vg Json (Lottie) Loader is not supported, Only Static Vector Image is available!");

This revision now requires changes to proceed.Aug 1 2019, 3:51 AM
Hermet edited the summary of this revision. (Show Details)Aug 1 2019, 4:03 AM
jsuya updated this revision to Diff 23835.Aug 1 2019, 5:03 AM

Add code to output svg if Evas Vg Json(Lottie) Loader is not supported.

jsuya updated this revision to Diff 23836.Aug 1 2019, 5:05 AM
jsuya edited the summary of this revision. (Show Details)

update summary

zmike requested changes to this revision.Aug 1 2019, 5:58 AM
zmike added a subscriber: zmike.
zmike added inline comments.
src/bin/elementary/test_efl_ui_animation_view.c
42

This should not use legacy api.

50

This should not use legacy api.

60

This should not use legacy api.

77

This should not use legacy api.

136

This should not use legacy api.

This revision now requires changes to proceed.Aug 1 2019, 5:58 AM
jsuya updated this revision to Diff 23861.Aug 1 2019, 6:33 PM

Change legacy apis to efl_ui apis.

jsuya updated this revision to Diff 23862.Aug 1 2019, 6:37 PM
jsuya marked an inline comment as done.

more update

jsuya marked 4 inline comments as done.Aug 1 2019, 6:38 PM
zmike requested changes to this revision.Aug 2 2019, 5:43 AM

Patch no longer applies.

src/bin/elementary/test_efl_ui_animation_view.c
323

This can just be efl_file_set

This revision now requires changes to proceed.Aug 2 2019, 5:43 AM
zmike added inline comments.Aug 2 2019, 5:43 AM
src/bin/elementary/test_efl_ui_animation_view.c
167

This can just be efl_file_set

jsuya updated this revision to Diff 23882.Aug 4 2019, 11:55 PM

update patch
@zmike thank you for your review.

jsuya updated this revision to Diff 23914.Aug 5 2019, 9:17 PM

modify comment

This revision was not accepted when it landed; it landed in state Needs Review.Aug 21 2019, 2:07 AM
This revision was automatically updated to reflect the committed changes.